Bug 227860 - net/netatalk3 - build fails with libressl 2.7.x
Summary: net/netatalk3 - build fails with libressl 2.7.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-04-29 20:46 UTC by elij
Modified: 2018-05-11 20:15 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments
svn diff for net/netatalk3 (711 bytes, patch)
2018-05-07 19:55 UTC, Bernard Spil
brnrd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description elij 2018-04-29 20:46:50 UTC
netatalk3 currently fails to build with libressl > 2.7.0

I believe a change is required to files/patch-etc_uams_openssl__compat.h

Currently:

~~~
+#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER) 
~~~

I think this is appropriate:

~~~
+#if OPENSSL_VERSION_NUMBER < 0x10100000L || (defined(LIBRESSL_VERSION_NUMBER) && LIBRESSL_VERSION_NUMBER < 0x2070000fL)
~~~

Once changed, build is successful for me.
Comment 1 Bernard Spil freebsd_committer 2018-05-07 18:10:34 UTC
Hi Elij,

Thanks for the notification! I'll be adding this to https://wiki.freebsd.org/LibreSSL/2.7 and test it for inclusion in TrueOS and HardenedBSD ports trees.
Comment 2 Bernard Spil freebsd_committer 2018-05-07 19:55:15 UTC
Created attachment 193162 [details]
svn diff for net/netatalk3
Comment 3 commit-hook freebsd_committer 2018-05-11 20:15:21 UTC
A commit references this bug:

Author: marcus
Date: Fri May 11 20:14:55 UTC 2018
New revision: 469690
URL: https://svnweb.freebsd.org/changeset/ports/469690

Log:
  Fix the build with libressl > 2.7.0.

  PR:		227860
  Submitted by:	brnrd

Changes:
  head/net/netatalk3/files/patch-etc_uams_openssl__compat.h
Comment 4 Joe Marcus Clarke freebsd_committer 2018-05-11 20:15:32 UTC
Committed, thanks!